[![pipeline status](https://gitlab.ub.uni-giessen.de/folio/dokumentgenerator/badges/main/pipeline.svg)](https://gitlab.ub.uni-giessen.de/folio/dokumentgenerator/-/commits/main)
[![coverage report](https://gitlab.ub.uni-giessen.de/folio/dokumentgenerator/badges/main/coverage.svg)](https://gitlab.ub.uni-giessen.de/folio/dokumentgenerator/-/commits/main)

# Dokumentgenerator

Der Dokumentgenerator erzeugt aus einem geeigneten JSON eine PDF-Datei.
Anhand der `print_group_name` kann der Dokumentengenerator eine geeignete Funktion auswählen, die das PDF erzeugt.

## Nutzung

Der Container kann gestartet werden.
Mit der Umgebungsvariable `TESTSYSTEM` lässt sich ein Wasserzeichen auf den Dokumenten aufbringen.

## Entwicklung

Die Testumgebung kann gestartet werden mit:

`flask  --app src/app.py run --debug`

Ein Dokument, z.B. `input.json` kann dann wie folgt eingespielt werden:

`curl --data-binary "@input.json" "http://localhost:5000" -H "Content-Type: application/json" > test.pdf`

Alternativ kann auch `pytest` genutzt werden.
Bei den Tests werden entsprechend benannte Dateien abgelegt - gleich für alle

## Tests

Testdateien sind unter `tests/data` abgelegt.
Mit `pytest` werden daraus Dokumente erzeugt, jeweils mit und ohne Wasserzeichen.